Download it now!
Bug 70513 - EDITING: Function Wizard locks other open spreadsheets
Summary: EDITING: Function Wizard locks other open spreadsheets
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.1.1.2 release
Hardware: Other All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks: Function-Wizard
  Show dependency treegraph
 
Reported: 2013-10-15 22:12 UTC by John Smith
Modified: 2019-12-03 14:12 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description John Smith 2013-10-15 22:12:05 UTC
Problem description: If you have two or more spreadsheets open and you open the Function Wizard in one of them and then go to another open spreadsheet, then that spreadsheet is locked and no editing can be done in it.

Steps to reproduce:
1. Open two instances of Calc.
2. Open the Function Wizard in one of them using any valid method.
3. Move to the second spreadsheet.

Current behavior:The second spreadsheet is locked and can't be edited.

Expected behavior:That editing can be carried out in the second spreadsheet.

              
Operating System: Windows XP
Version: 4.1.1.2 release
Comment 1 Dominique Boutry 2013-10-24 12:44:46 UTC
Reproduced with LibO 4.1.2.3 on Win7.

A number of other wizards/dialogs I tested ("create diagram", "save under", etc) don't show this characteristic. I can't commit myself on the exhaustivity of the test...
Comment 2 sophie 2013-11-07 15:43:26 UTC
Confirmed using 4.1.3 version under Ubuntu 13.10 - Set as New, changed plateform to all, no duplicate found- Sophie
Comment 3 QA Administrators 2015-04-19 03:20:31 UTC Comment hidden (obsolete)
Comment 4 Buovjaga 2015-06-15 12:16:29 UTC
Still true.

Win 7 Pro 64-bit Version: 5.1.0.0.alpha1+
Build ID: 01a189abcd9a4ca472a74b3b2c000c9338fc2c91
TinderBox: Win-x86@39, Branch:master, Time: 2015-06-14_07:46:28
Locale: fi-FI (fi_FI)
Comment 5 QA Administrators 2016-09-20 10:01:03 UTC Comment hidden (obsolete)
Comment 6 QA Administrators 2019-12-03 14:12:30 UTC
Dear John Smith,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug